ch.qos.logback.core.rolling

## Class RollingFileAppender<E>

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.UnsynchronizedAppenderBase<E>
    - - ch.qos.logback.core.OutputStreamAppender<E>
      - - ch.qos.logback.core.FileAppender<E>
        - - ch.qos.logback.core.rolling.RollingFileAppender<E>

All Implemented Interfaces:
  Appender<E>, ContextAware, FilterAttachable<E>, LifeCycle

    public class RollingFileAppender<E>
    extends FileAppender<E>

`RollingFileAppender` extends `FileAppender` to backup the log files depending on `RollingPolicy` and `TriggeringPolicy`.

For more information about this appender, please refer to the online manual at http://logback.qos.ch/manual/appenders.html#RollingFileAppender

Author:
  Heinz Richter, Ceki Gülcü

### Property Summary

### Properties inherited from class ch.qos.logback.core.FileAppender

`rawFileProperty`

### Field Summary

### Fields inherited from class ch.qos.logback.core.FileAppender

`append, fileName`

### Fields inherited from class ch.qos.logback.core.OutputStreamAppender

`encoder, lock`

### Fields inherited from class ch.qos.logback.core.UnsynchronizedAppenderBase

`name, started`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
Constructor and Description
`RollingFileAppender()`

### Method Summary

Methods
`java.lang.String` `getFile()` Returns the value of the File property.
`RollingPolicy` `getRollingPolicy()`
`TriggeringPolicy<E>` `getTriggeringPolicy()`
`void` `rollover()` Implemented by delegating most of the rollover work to a rolling policy.
`void` `setFile(java.lang.String file)` The File property takes a string value which should be the name of the file to append to.
`void` `setRollingPolicy(RollingPolicy policy)` Sets the rolling policy.
`void` `setTriggeringPolicy(TriggeringPolicy<E> policy)`
`void` `start()` If the value of File is not `null`, then `FileAppender.openFile(java.lang.String)` is called with the values of File and Append properties.
`void` `stop()` Stop this appender instance.
`protected void` `subAppend(E event)` This method differentiates RollingFileAppender from its super class.

### Methods inherited from class ch.qos.logback.core.FileAppender

`isAppend, isPrudent, openFile, rawFileProperty, setAppend, setPrudent, writeOut`

### Methods inherited from class ch.qos.logback.core.OutputStreamAppender

`append, closeOutputStream, getEncoder, getOutputStream, setEncoder, setLayout, setOutputStream`

### Methods inherited from class ch.qos.logback.core.UnsynchronizedAppenderBase

`addFilter, clearAllFilters, doAppend, getCopyOfAttachedFiltersList, getFilterChainDecision, getName, isStarted, setName, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface ch.qos.logback.core.spi.ContextAware

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, setContext`

### Constructor Detail

#### RollingFileAppender

    public RollingFileAppender()

### Method Detail

#### start

    public void start()

Description copied from class: `FileAppender`
If the value of File is not `null`, then `FileAppender.openFile(java.lang.String)` is called with the values of File and Append properties.

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `FileAppender<E>`

#### stop

    public void stop()

Description copied from class: `OutputStreamAppender`
Stop this appender instance. The underlying stream or writer is also closed.

Stopped appenders cannot be reused.

Specified by:
  `stop` in interface `LifeCycle`
Overrides:
  `stop` in class `OutputStreamAppender<E>`

#### setFile

    public void setFile(java.lang.String file)

Description copied from class: `FileAppender`
The File property takes a string value which should be the name of the file to append to.

Overrides:
  `setFile` in class `FileAppender<E>`

#### getFile

    public java.lang.String getFile()

Description copied from class: `FileAppender`
Returns the value of the File property.

This method may be overridden by derived classes.

Overrides:
  `getFile` in class `FileAppender<E>`

#### rollover

    public void rollover()

Implemented by delegating most of the rollover work to a rolling policy.

#### subAppend

    protected void subAppend(E event)

This method differentiates RollingFileAppender from its super class.

Overrides:
  `subAppend` in class `OutputStreamAppender<E>`

#### getRollingPolicy

    public RollingPolicy getRollingPolicy()

#### getTriggeringPolicy

    public TriggeringPolicy<E> getTriggeringPolicy()

#### setRollingPolicy

    public void setRollingPolicy(RollingPolicy policy)

Sets the rolling policy. In case the 'policy' argument also implements `TriggeringPolicy`, then the triggering policy for this appender is automatically set to be the policy argument.

Parameters:
  `policy` -

#### setTriggeringPolicy

    public void setTriggeringPolicy(TriggeringPolicy<E> policy)